<!-- Improved compatibility of back to top link: See: https://github.com/othneildrew/Best-README-Template/pull/73 -->

<a name="readme-top"></a>

<h3 align="center">mediaInfoSama</h3>

<p align="center">
    GUI for MediaInfo written with Python and PySide6
    <br />
    <br />
    <a href="https://gitea.kiggy.land/cuissedemouche/mediaInfoSama/issues">Report Bug</a>
    ·
    <a href="https://gitea.kiggy.land/cuissedemouche/mediaInfoSama/issues">Request Feature</a>
  </p>

<!-- TABLE OF CONTENTS -->

<details>
  <summary>Table of Contents</summary>
  <ol>
    <li>
      <a href="#about-the-project">About The Project</a>
      <ul>
        <li><a href="#built-with">Built With</a></li>
      </ul>
    </li>
    <li>
      <a href="#getting-started">Getting Started</a>
      <ul>
        <li><a href="#prerequisites">Prerequisites</a></li>
        <li><a href="#installation">Installation</a></li>
      </ul>
    </li>
    <li><a href="#usage">Usage</a></li>
    <li><a href="#roadmap">Roadmap</a></li>
    <li><a href="#contributing">Contributing</a></li>
    <li><a href="#license">License</a></li>
    <li><a href="#contact">Contact</a></li>
    <li><a href="#acknowledgments">Acknowledgments</a></li>
  </ol>
</details>

<!-- ABOUT THE PROJECT -->

## About The Project

This is my personnal GUI for MediaInfo, based on [MediaInfo.NET]([GitHub - stax76/MediaInfo.NET: MediaInfo.NET is a Windows application that shows media file information](https://github.com/stax76/MediaInfo.NET))

  <p align="center"><img src="screenshots/basic.jpg" width="500"></p>

  <p align="center">View of the main interface</p><br>

  <p align="center"><img src="screenshots/category.jpg" width="600"></p>

  <p align="center">You can select each track to see more details</p><br>

  <p align="center"><img src="screenshots/search.jpg" width="700"></p>

  <p align="center">You can search through all the tracks</p>

  <p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- GETTING STARTED -->

## Getting Started

This is an example of how you may give instructions on setting up your project locally.
To get a local copy up and running follow these simple example steps.

### Prerequisites

This is an example of how to list things you need to use the software and how to install them.

- Python 3.7 or later
* PySide6

* [MediaInfo]([https://github.com/MediaArea/MediaInfo)

### Installation

1. Clone the repo
   
   ```sh
   git clone https://gitea.kiggy.land/cuissedemouche/mediaInfoSama
   ```

2. Run package:
   
   ```sh
   python mediaInfoSama/mediainfosama/main.py
   ```

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- USAGE EXAMPLES -->

## Usage

Just drag and drop a file on the window to show the media file informations

<p align="right">(<a href="#readme-top">back to top</a>)</p>
